# frozen_string_literal: true

module Hooligan
  module Cli
    class Project
      def self.project_name
        File.basename project_dir
      end

      def self.project_dir
        @project_dir ||= Dir.getwd
      end

      def self.home_dir
        File.expand_path('~')
      end

      def self.base_hooligan_dir
        File.join home_dir, '.hooligan-cli'
      end

      def self.hooligan_dir
        File.join base_hooligan_dir, project_name
      end
    end
  end
end
