# frozen_string_literal: true

module Hooligan
  module Cli
    class RootCommand < BaseCommand
      banner "⨰ hooligan ⨰"

      option ['-v', '--version'], :flag, "Show version information" do
        puts Hooligan::Cli::VERSION
        exit(0)
      end

      subcommand ["version"], "Show version information", VersionCommand
      subcommand ["init"], "Initialise a project", InitCommand
      subcommand ["dev"], "Serve project in development mode", DevCommand

      def self.run
        super
      rescue StandardError => exc
        warn exc.message
        warn exc.backtrace.join("\n")
      end
    end
  end
end
